Use wikibase-debug Logstash channel to log unexpected page_random values
Closed, ResolvedPublic5 Story Points

Description

Enable the "PageRandomLookup" Logstash channel used to report unexpected values in page_random that will effect the A/B test:

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/469926/27/client/includes/WikibaseClient.php#562

If PageRandomLookup is an unwanted channel, feel welcome to change it to wikimedia-debug which already exists in the config. This would require a change to Wikibase instead of the config.

Developer notes

A new log channel can be enabled on https://wikitech.wikimedia.org/wiki/Logs#mwlog1001:/srv/mw-log/
(thanks @Legoktm for the pro-tip!)

Sign off steps

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptNov 5 2018, 9:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
ovasileva raised the priority of this task from Normal to High.Nov 5 2018, 10:32 PM
Jdlrobson updated the task description. (Show Details)Nov 6 2018, 12:29 AM
Jdlrobson moved this task from Needs Analysis to Upcoming on the Readers-Web-Backlog board.

Thank you @Legoktm!!!! <3

Niedzielski updated the task description. (Show Details)Nov 6 2018, 5:54 PM
Niedzielski removed Niedzielski as the assignee of this task.Nov 6 2018, 6:06 PM
Tbayer added a subscriber: Tbayer.Nov 7 2018, 9:22 PM

Change 472356 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[operations/mediawiki-config@master] Enable Wikibase PageRandomLookup unexpected page_random value logging

https://gerrit.wikimedia.org/r/472356

Change 472517 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/Wikibase@master] Update: use wikibase-debug logger instead of "PageRandomLookup"

https://gerrit.wikimedia.org/r/472517

Change 472356 abandoned by Niedzielski:
Enable Wikibase PageRandomLookup unexpected page_random value logging

Reason:
Updated to use the generic wikibase-debug channel instead: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/ /472517/

https://gerrit.wikimedia.org/r/472356

Change 472517 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update: use wikibase-debug logger instead of "PageRandomLookup"

https://gerrit.wikimedia.org/r/472517

pmiazga renamed this task from Enable "PageRandomLookup" Logstash channel to Use wikibase-debug Logstash channel to log unexpected page_random values.Nov 12 2018, 9:26 PM
pmiazga removed pmiazga as the assignee of this task.Nov 12 2018, 9:34 PM
pmiazga removed a project: Patch-For-Review.
pmiazga closed this task as Resolved.
pmiazga added a subscriber: pmiazga.

Change 473166 had a related patch set uploaded (by Phuedx; owner: Stephen Niedzielski):
[mediawiki/extensions/Wikibase@wmf/1.33.0-wmf.3] Update: use wikibase-debug logger instead of "PageRandomLookup"

https://gerrit.wikimedia.org/r/473166

Change 473166 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.33.0-wmf.3] Update: use wikibase-debug logger instead of "PageRandomLookup"

https://gerrit.wikimedia.org/r/473166

Mentioned in SAL (#wikimedia-operations) [2018-11-14T01:02:38Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.3/extensions/Wikibase/client/includes: SWAT: [[gerrit:473166|Update: use wikibase-debug logger instead of "PageRandomLookup"]] T208796 (duration: 00m 56s)